# log4cpp::FormatModifierComponent Struct Reference

Inheritance diagram for log4cpp::FormatModifierComponent:

[legend]
Collaboration diagram for log4cpp::FormatModifierComponent:

[legend]
List of all members.

## Public Member Functions

| FormatModifierComponent (PatternLayout::PatternComponent *component, size_t minWidth, size_t maxWidth, bool alignLeft)
virtual | ~FormatModifierComponent ()
virtual void | append (std::ostringstream &out, const LoggingEvent &event)

## Constructor & Destructor Documentation

log4cpp::FormatModifierComponent::FormatModifierComponent | ( | PatternLayout::PatternComponent * | component,
|  | size_t | minWidth,
|  | size_t | maxWidth,
|  | bool | alignLeft |
| ) |  |  | `[inline]`

virtual log4cpp::FormatModifierComponent::~FormatModifierComponent | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void log4cpp::FormatModifierComponent::append | ( | std::ostringstream & | out,
|  | const LoggingEvent & | event |
| ) |  |  | `[inline, virtual]`

Implements log4cpp::PatternLayout::PatternComponent.

The documentation for this struct was generated from the following file:

- PatternLayout.cpp